+++
title = "Apache ShardingSphere is on the Stack Overflow Podcast, InfoQ and FOSDEM!"
weight = 36
chapter = true
+++

# Apache ShardingSphere is on the Stack Overflow Podcast, InfoQ and FOSDEM!

![1](https://shardingsphere.apache.org/blog/img/Stack_Overflow_img_1.jpeg)

Our PMC Trista Pan, and our community contributor Yacine Si Tayeb, joined the [Stack Overflow](https://stackoverflow.blog/2022/02/11/chinas-only-female-apache-member-on-the-rise-of-open-source-in-china-ep-414/?utm_source=twitter&utm_medium=social&utm_campaign=so-podcast&utm_content=pod414.2) podcast to share about the Apache ShardingSphere ecosystem.

They shared the advantages of data sharding and how it splits a database into smaller distributed databases to spread query load across multiple servers.

During the conversation, they introduced the complexities that arise with large databases, the rise of open source in China, and how Trista’s position as the only female Apache member in China can help other women get into technology.

Our community thanks the 
Stack Overflow
 team for this opportunity, and for being such great hosts. Being hosted on such a great platform is both an achievement and an opportunity for us.
 
Our PMC team’s community building efforts continue on what has so far been a great path that included being published on InfoQ with a piece titled [“The Next Evolution of Data Sharding”](https://www.infoq.com/articles/next-evolution-of-database-sharding-architecture/) and also joining fantastic events such as [FOSDEM](http://postgresql%20distributed%20%26%20secure%20database%20ecosystem%20building/). During FOSDEM our community shared how to build a distributed & secure ecosystem with [PostgreSQL](https://www.postgresql.org/).

Check out below the episode notes, and the links to the podcast and FOSDEM’s recording of the talk.

## Podcast episode notes
ShardingSphere builds distributed data systems, making it easier for organizations to load balance massive data stores across multiple servers.

Now that open source software has taken over Western software, it’s China’s turn. Even big companies like [Baidu](https://github.com/baidu) and [Bytedance](https://github.com/bytedance) are opening up their projects.

Trista is the [only female Apache member](https://segmentfault.com/a/1190000040352390) in China, which is both an honor and a demonstration of how much work needs to be done to support women in STEM.

Link: [https://stackoverflow.blog/2022/02/11/chinas-only-female-apache-member-on-the-rise-of-open-source-in-china-ep-414/?utm_source=twitter&utm_medium=social&utm_campaign=so-podcast&utm_content=pod414.2](https://stackoverflow.blog/2022/02/11/chinas-only-female-apache-member-on-the-rise-of-open-source-in-china-ep-414/?utm_source=twitter&utm_medium=social&utm_campaign=so-podcast&utm_content=pod414.2)

## InfoQ article
We thank the InfoQ editorial team for their support, and offering to share ShardingSphere’s features and architecture with their readers.

In this piece we introduced the strengths of data sharding, and Database Plus — our concept for creating a distributed database system for more than sharding, positioned above DBMS.

Link: [https://www.infoq.com/articles/next-evolution-of-database-sharding-architecture/](https://www.infoq.com/articles/next-evolution-of-database-sharding-architecture/)

## FOSDEM recording
The FOSDEM session focused on introducing how to empower PostgreSQL thanks to the ecosystem provided by Apache ShardingSphere.

ShardingSphere’s capability to transform any DBMS into a distributed database system, and enhance it with data sharding, elastic scaling, and encryption features is unique among current open source projects.

Link: [https://fosdem.org/2022/schedule/event/postgresql_postgresql_distributed_secure_database_ecosystem_building/](https://fosdem.org/2022/schedule/event/postgresql_postgresql_distributed_secure_database_ecosystem_building/)

## Apache ShardingSphere Open Source Project Links:
[ShardingSphere Github](https://github.com/apache/shardingsphere)

[ShardingSphere Twitter](https://twitter.com/ShardingSphere)

[ShardingSphere Slack Channel](https://join.slack.com/t/apacheshardingsphere/shared_invite/zt-sbdde7ie-SjDqo9~I4rYcR18bq0SYTg)

[Contributor Guide](https://shardingsphere.apache.org/community/cn/contribute/)

## Author
**Yacine Si Tayeb**

> SphereEx Head of International Operations
> 
> Apache ShardingSphere Contributor
> 
> Passionate about technology and innovation, Yacine moved to Beijing to pursue his Ph.D. in Business Administration, and fell in awe of the local startup and tech scene. His career path has so far been shaped by opportunities at the intersection of technology and business. Recently he took on a keen interest in the development of the ShardingSphere database middleware ecosystem and Open-Source community building.

![2](https://shardingsphere.apache.org/blog/img/Yacine_Si_Tayeb_Photo.png)










