+++
title = "openGauss X ShardingSphere，分布式方案的另一种最佳实践"
weight = 23
chapter = true
+++

Apache ShardingSphere 持续助力于 openGauss 分布式数据库能力的构建。openGauss 数据库自 2020 年 6 月开源以来，受到了业界的广泛关注，现已吸引众多伙伴、开发者参与其中，共建繁荣的数据库生态。面对如今海量数据，超高并发等诸多场景，openGauss 将目光转向于分布式解决方案，专注于解决海量数据存储、超高并发吞吐、大表瓶颈等众多难题，与 **ShardingSphere** 一起构建全栈开源分布式解决方案，实现 **openGauss** 的又一大突破。

## 分布式解决方案
![](https://shardingsphere.apache.org/blog/img/Blog_23_img_1_a_Photo.png)

					图1 分布式解决方案整体框图

openGauss 融合了众多开源组件，用以构建集数据水平扩展、分布式事务及治理一体化的全栈开源分布式解决方案，整体框图如图 1 所示。

* 其中 ShardingSphere-Proxy 为开源分布式解决方案，具有分库、分表、分布式事务、弹性伸缩、读写分离等众多能力；

* HAProxy 结合 Patroni 的 REST API，可以始终识别数据库的主节点，保证高可用场景，同时可实现负载均衡；

* 每个 Patroni 高可用节点支持一主多备，每个节点使用 Paxos 协议保证数据的一致性，各个节点可以部署在相同或不同的区域，用以保证多地多中心的数据安全。

本分布式方案运用 ShardingSphere-Proxy 强劲的分布式能力，通过 kubernetes 管理集群，prometheus 监控集群状态，从而构建全栈开源的分布式解决方案。

## 产品优势

1.极致扩展能力，灵活扩缩容

计算与存储能力可通过水平拆分实现线性扩展，最高可达数据 6400 分片，性能随扩展准线性增长，可有效解决单表数据量膨胀问题；结合业务流量，灵活平滑进行数据节点的扩缩容，智能读写分离，实现分布式数据库的自动负载均衡。

2.丰富企业级特性

支持分布式存储过程、触发器，分布式事务，全密态数据加密，WDR 诊断报告，提供丰富的企业级特性。

3.一键部署，屏蔽底层依赖

标准化镜像确保多环境一致性交付，容器化部署，实现物理资源池化，降低对平台的依赖性，简洁高效，实现应用秒级部署。

4.超高可用，实现异地容灾

强有力的集群管理、运维能力，支持同城、异地、多地多中心灵活部署，基于 Paxos 协议保证数据的安全及强一致性，提供 RPO=0 的多种容灾能力。

5.开源开放，构建全栈生态

开源 openGauss 单机及分布式解决方案，鼓励更多伙伴、开发者共同参与其中，共建数据库的繁荣生态，打造全栈开源生态链。

## 应用场景
1.金融系统

基于多数派共识协议 Paxos，提供分布式强一致事务能力，确保分布式环境下数据的强一致能力；多地多中心，提供 RPO=0 的能力，保障金融级可靠。

2.政企办公

提供全密态数据加密，安全可信，支持软硬件生态，保障高可用场景，为政企办公保驾护航。

3.智慧电网

支持同城、异地、多地多中心灵活部署，根据业务的潮汐特点灵活扩缩容，助力智慧电网。

**欢迎更多技术团队与我们一同分享使用 ShardingSphere 的经验思考。**
