+++
title = "Committer Guide"
weight = 4
chapter = true
+++

## Committer Promotion

The ShardingSphere community follows the [Apache Community’s process](http://community.apache.org/newcommitter.html) on accepting a new committer.
After a contributor participates ShardingSphere community actively, PMC and Committers will make a decision to invite the contributor to join Committers and PMC.

## Committer Responsibilities

 - Develop new features;
 - Refactor codes;
 - Review pull requests reliably and in time;
 - Consider and accept feature requests;
 - Answer questions;
 - Update documentation and example;
 - Improve processes and tools;
 - Check whether [CI Scheduled Workflow]( https://github.com/apache/shardingsphere/actions/workflows/ci.yml?query=event%3Aschedule ) works or not periodically;
 - Guide new contributors join community.


##  Committer Routine

1. Check the list of pull requests and issues to be processed in the community on a daily basis.

 - Including label issue, reply issue, close issue;
 - Assign issue to the appropriate committer, namely assignee;
 
2. After a committer is assigned with an issue, the following work is required:

 - Estimate whether it is a long-term issue. If it is, please label it as pending;
 - Add issue labels, such as bug, enhancement, discussion, etc;
 - Add milestone.
 
3. Pull request that committer submits needs to add labels and milestone based on the type and release period.

4. When committer reviewed and approved any pull request, committer could squash and merge to master. If there is any question you concerned about this pull request, please reply directly to the related issue.
